| vrnasubopt

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Calculate RNA suboptimals

## Description

This is a port of the Vienna RNA package program RNAsubopt.

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with vrnasubopt

    % vrnasubopt
    Calculate RNA suboptimals
    Input nucleotide sequence: rna1.seq
    Vienna RNAfold output file [rna1.vrnasubopt]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Calculate RNA suboptimals
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-outfile]           outfile    [*.vrnasubopt] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -constraintfile     infile     Vienna RNA structure constraints file
                                      (optional)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -circular           boolean    [N] Allow circular RNA
       -dos                boolean    [N] DOS special corrections
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -erange             float      [1.0] Calculate suboptimal structures within
                                      erange of the mfe (Any numeric value)
       -prange             float      [0.0] Only print structures with energy
                                      within prange of the mfe (Any numeric value)
       -sort               boolean    [N] Sort structures by energy
       -logml              boolean    [N] Logarithmic energy function for
                                      multi-loops
       -dangles            menu       [2] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))
       -nrandom            integer    [0] Number of random suboptimal structures
                                      (Any integer value)

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | sequence | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-outfile] (Parameter 2) | outfile | Vienna RNAfold output file | Output file | <*>.vrnasubopt
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-constraintfile | infile | Vienna RNA structure constraints file (optional) | Input file | Required
-paramfile | infile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | float | Temperature | Any numeric value | 37.0
-circular | boolean | Allow circular RNA | Boolean value Yes/No | No
-dos | boolean | DOS special corrections | Boolean value Yes/No | No
-[no]gu | boolean | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | boolean | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | boolean | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | boolean | Convert T to U | Boolean value Yes/No | Yes
-nsbases | string | Non-standard bases | Any string |
-[no]tetraloop | boolean | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes
-erange | float | Calculate suboptimal structures within erange of the mfe | Any numeric value | 1.0
-prange | float | Only print structures with energy within prange of the mfe | Any numeric value | 0.0
-sort | boolean | Sort structures by energy | Boolean value Yes/No | No
-logml | boolean | Logarithmic energy function for multi-loops | Boolean value Yes/No | No

-dangles

list

Method

0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)

2

-nrandom | integer | Number of random suboptimal structures | Any integer value | 0
Associated qualifiers
"-sequence" associated sequence qualifiers
-sbegin1 -sbegin_sequence | integer | Start of the sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

vrnasubopt reads any normal sequence USAs.

### Input files for usage example

### File: rna1.seq

    >rna1
    CACUACUCCAAGGACCGUAUCUUUCUCAGUGCGACAGUAA

## Output file format

vrnasubopt outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: rna1.vrnasubopt

    > rna1 [100]
    CACUACUCCAAGGACCGUAUCUUUCUCAGUGCGACAGUAA   -380    100
    ...(((((....)).((((.((.....))))))...))).  -2.80
    ...(((((....)).(((((........)))))...))).  -3.80
    ...(((((....)..(((((........)))))..)))).  -3.10
    .(((..((....)).((((.((.....))))))..)))..  -2.80
    .(((..((....)).(((((........)))))..)))..  -3.80
    ......((....)).(((((........))))).......  -3.10
    ...............(((((........))))).......  -3.30

## Data files

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds inverted repeats in nucleotide sequences
vrnaalifold | RNA alignment folding
vrnaalifoldpf | RNA alignment folding with partition
vrnacofold | RNA cofolding
vrnacofoldconc | RNA cofolding with concentrations
vrnacofoldpf | RNA cofolding with partitioning
vrnadistance | RNA distances
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnafoldpf | Secondary structures of RNAs with partition
vrnaheat | RNA melting
vrnainverse | RNA sequences matching a structure
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments